# pushbullet – Sends notifications to Pushbullet

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module sends push notifications via Pushbullet to channels or devices.

## Requirements

The below requirements are needed on the host that executes this module.

- pushbullet.py

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - / required |  | Push bullet API token
body - |  | Body of the notification, e.g. Details of the fault you're alerting.
channel - |  | The channel TAG you wish to broadcast a push notification, as seen on the "My Channels" > "Edit your channel" at Pushbullet page.
device - |  | The device NAME you wish to send a push notification, as seen on the Pushbullet main page.

push_type
-

Choices:
- note ←
- link

Thing you wish to push.

title - / required |  | Title of the notification.

## Notes

Note

- Requires pushbullet.py Python package on the remote host. You can install it via pip with ($ pip install pushbullet.py). See https://github.com/randomchars/pushbullet.py

## Examples

    # Sends a push notification to a device
    - pushbullet:
        api_key: "ABC123abc123ABC123abc123ABC123ab"
        device: "Chrome"
        title: "You may see this on Google Chrome"

    # Sends a link to a device
    - pushbullet:
        api_key: ABC123abc123ABC123abc123ABC123ab
        device: Chrome
        push_type: link
        title: Ansible Documentation
        body: https://docs.ansible.com/

    # Sends a push notification to a channel
    - pushbullet:
        api_key: ABC123abc123ABC123abc123ABC123ab
        channel: my-awesome-channel
        title: Broadcasting a message to the #my-awesome-channel folks

    # Sends a push notification with title and body to a channel
    - pushbullet:
        api_key: ABC123abc123ABC123abc123ABC123ab
        channel: my-awesome-channel
        title: ALERT! Signup service is down
        body: Error rate on signup service is over 90% for more than 2 minutes

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Willy Barro (@willybarro)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.